/*-------------------------------------------------------------------
	Шапка страницы
-------------------------------------------------------------------*/

.siteLayout_header {
    background-color: #fde050;
    border-bottom: 1px solid #edd457;
    height: 100px;
    line-height: 40px;
    color: #444;
}

/* Бренд */

.siteLayout_brand {
    display: block;
    float: left;
    font-size: 28px;
    text-decoration: none;
    margin: 30px 0;
    color: inherit;
    font-weight: 800;
}

.siteLayout_brand:hover,
.siteLayout_brand:focus,
.siteLayout_brand:active {
    color: inherit;
}

/* Действия */

.siteLayout_actions {
    display: block;
    float: right;
    list-style: none;
    margin: 0;
}

.siteLayout_action {
    display: inline-block;
}

.siteLayout_action_link {
    display: block;
    margin: 30px 0 30px 10px;
    line-height: 36px;
    padding: 0 15px;
    border: 2px solid #FFF;
    border-radius: 4px;
    color: inherit;
}

.siteLayout_action_link:hover,
.siteLayout_action_link:focus,
.siteLayout_action_link:active {
    background-color: transparent;
    border-color: #b7cccc;
    text-decoration: none;
    color: inherit;
}

.siteLayout_action_link.__marked {
    background-color: #FFF;
}


.siteLayout_action_icon {
    display: none;
}

/* Навигация */

.siteLayout_navigation {
    display: block;
    float: right;
    list-style: none;
    margin: 0;
    padding: 0;
}

.siteLayout_navigation_item {
    display: inline-block;
}

.siteLayout_navigation_link {
    font-size: 18px;
    display: block;
    padding: 5px;
    margin: 25px 5px;
    color: inherit;
}

.siteLayout_navigation_link:hover {
    color: #000;
}

/* Медиа-стили */

@media (max-width: 1199px) {

    /* Заголовок */

    .siteLayout_brand {
        font-size: 24px;
    }

    .siteLayout_navigation_link {
        font-size: 16px;
    }

    .siteLayout_action_link {
        font-size: 14px;
        display: block;
        padding: 0 12px;
    }
}

@media (max-width: 991px) {

    .siteLayout_brand {
        font-size: 22px;
    }

    .siteLayout_navigation_link {
        font-size: 14px;
        font-weight: normal;
    }

    .siteLayout_action_link {
        display: block;
        padding: 0 15px;
    }

    .siteLayout_action_icon {
        display: inline-block;
    }

    .siteLayout_action_caption {
        display: none;
    }
}

@media (max-width: 767px) {

    .siteLayout_header {
        height: auto;
    }

    .siteLayout_action_link {
        padding: 0px 10px;
        margin-left: 6px;
    }

    .siteLayout_navigation {
        display: block;
        float: left;
        width: 100%;
        margin-top: -25px;
        margin-bottom: 10px;
    }

    .siteLayout_navigation_link {
        margin-top: 0;
        margin-bottom: 0;
        margin-left: 0;
        padding: 0;
    }
}

/*-------------------------------------------------------------------
    Основное содержание
-------------------------------------------------------------------*/

.siteLayout_content {
    display: block;
}

/*-------------------------------------------------------------------
	Подвал страницы
-------------------------------------------------------------------*/

.siteLayout_footer {
    background-color: #454d59;
    color: #f8f8f8;
}

.siteLayout_footer .button.__contrast {
    border-color: #fde050;
    color: #fde050;
}

.siteLayout_footer .button.__contrast:hover,
.siteLayout_footer .button.__contrast:active,
.siteLayout_footer .button.__contrast:focus {
    background-color: #fde050;
    color: #000;
}

/* Секции со ссылками */

.siteLayout_references {
    margin-top: 2.5em;
    margin-bottom: 3.75em;
}

.siteLayout_references_title {
    color: #8d97a6;
    font-size: 1.5em;
    margin-top: 0.8em;
    margin-bottom: 1.6em;
    font-weight: 600;
}

/* Ссылки на внутренние страницы */

.siteLayout_pages {
    margin: 0;
    padding: 0;
    list-style: none;
}

.siteLayout_page {
    margin: 1em 0 0 0;
}

.siteLayout_page_link,
.siteLayout_page_link:hover,
.siteLayout_page_link:focus,
.siteLayout_page_link:active {
    color: inherit;
}

/* Контактная информация */

.siteLayout_contacts {
    display: table;
    margin: 0;
    padding: 0;
    list-style: none;
}

.siteLayout_contact {
    display: table-row;
}

.siteLayout_contact_caption,
.siteLayout_contact_ref {
    display: table-cell;
    text-align: left;
    padding-bottom: 1em;
    vertical-align: top;
}

.siteLayout_contact_caption {
    padding-right: 1em;
}

.siteLayout_contact_ref,
.siteLayout_contact_ref:hover,
.siteLayout_contact_ref:focus,
.siteLayout_contact_ref:active {
    color: inherit;
}

/* Дополнительные продукты */

.siteLayout_products {
    list-style: none;
    margin: 0;
    padding: 0;
}

.siteLayout_product {
    margin-bottom: 1em;
}

.siteLayout_product_title {
    font-size: 1em;
    font-weight: bolder;
    margin-top: 0.8em;
    margin-bottom: 0.4em;
}

.siteLayout_product_title > a,
.siteLayout_product_title > a:hover,
.siteLayout_product_title > a:focus,
.siteLayout_product_title > a:active {
    color: inherit;
}

.siteLayout_product_brief {
    color: #cbcdcf;
    font-size: 0.9em;
}

.siteLayout_copy {
    margin: 0;
    padding: 1em;
    text-align: center;
    font-size: 90%;
}

.siteLayout_copy_link,
.siteLayout_copy_link:hover,
.siteLayout_copy_link:focus,
.siteLayout_copy_link:active {
    color: inherit;
}


/* Медиа-свойства */

@media (max-width: 1199px) {

    .siteLayout_footer {
        font-size: 14px;
    }
}

@media (max-width: 991px) {

    .siteLayout_footer {
        text-align: center;
    }

    .siteLayout_references {
        display: inline-block;
        margin-top: 0.4em;
        margin-bottom: 1em;
    }

    .siteLayout_contacts {
        display: block;
    }

    .siteLayout_contact {
        display: block;
    }

    .siteLayout_contact_caption,
    .siteLayout_contact_ref {
        display: inline-block;
        text-align: left;
    }

    .siteLayout_contact_caption {
        padding-right: 0;
    }

    .siteLayout_product_brief {
        font-size: 1em;
    }
}
